<?php
session_start();
require('../cfg/res.php');
require('../cfg/cfg.php');

$xvalid=1;

// $sql_valid='select * from atrz0 where atrzpspt like "'.$_POST['pspt'].'"';
// $res_valid=mysql_query($sql_valid,$link_vcrx);
// if(mysql_num_rows($res_valid)>0){$xvalid=0;}


$atrz=$_POST['atrz'];
$enti=$_POST['enti'];
// $enti=substr($_POST['enti'],0,10).'001';
$caduca=$_POST['caduca'];

$docu=$_POST['docu'];
$ptoe=$_POST['ptoe'];
$desde=$_POST['desde'];
$hasta=$_POST['hasta'];
$xdescri=$atrz.'-'.$enti;

$atrzsql='insert into atrz0(atrz_codigo,atrz_idate,atrz_iuser)values("'.$atrz.'",NOW(),"'.$_SESSION['user_vcrx_id'].'")';
echo '<resultado>';
//if(!mysql_query($atrzsql,$link_vcrx)){ echo '<error1>'.mysql_error($link_vcrx).'-</error1>'; }
if(mysql_query($atrzsql,$link_vcrx)){echo '<error1>Se Registro con Exito</error1>'; }

if(empty($_POST['atrz'])){$atrz=$_SESSION['user_vcrx_id'];}
if(!mb_stristr('admi.sist.supe',strtolower($_SESSION['user_vcrx_tipo'])) ) {$atrz=$_SESSION['user_vcrx_id'];}
if(!mb_stristr('admi.sist.supe',strtolower($_SESSION['user_vcrx_tipo'])) && empty($_SESSION['user_vcrx_id']) ) {die('<error4>Sesion Expiro</error4></resultado>');}

$sql_upe='update atrz0 set ';
$sql_upe.='atrz_enti="'.$enti.'",';
$sql_upe.='atrz_caduca="'.$caduca.'",';
$sql_upe.='atrz_descri="'.$xdescri.'" where atrz_codigo="'.$atrz.'"';
echo $sql_upe;
if(!mysql_query($sql_upe,$link_vcrx)){ echo '<error2>'.mysql_error($link_vcrx).'+</error2>';}


// if(!mysql_query($sql_upe,$link_vcrx)){ echo '<error2>'.mysql_error($link_vcrx).'+</error2>';}

// if(!empty($_POST['tel2']) ||  !empty($_POST['email2']) || !empty($_POST['contacto2']) )
// $vadrs=$_POST['c12'].$_POST['tel2'].$_POST['email2'];
// if(!empty($vadrs) )

$vatrd=1;
if($docu==""){$vatrd=0;}
if($ptoe==""){$vatrd=0;}
if($desde==""){$vatrd=0;}
if($hasta==""){$vatrd=0;}

if($vatrd==1)
{
	$sql_indrtr='insert into atrd0 (
	atrd_atrz,
	atrd_docu,
	atrd_ptoe,
	atrd_desde,
	atrd_hasta,
	atrd_idate,
	atrd_status
	)
	values(
	"'.$atrz.'",
	"'.$docu.'",
	"'.$ptoe.'",
	"'.$desde.'",
	"'.$hasta.'",
	NOW(),"-"
	)';
	//echo $sql_indrtr;
	if(!mysql_query($sql_indrtr,$link_vcrx)){	echo '<error3>'.mysql_error($link_vcrx).$sql_indrtr.'</error3>';}
}


if($empr_codigo!='demo'){ mysql_select_db('vcrxol_demo',$link_vcrx); mysql_query($atrzsql,$link_vcrx); }
echo '</resultado>';
?>
